<?
require_once("global.php");
require_once("include/file.php");

/** Alert

	header not allow

*/

	// download process ( count, secure ... )
		$ex_dir = explode("/" , $_GET['dir']);
		$mc_name = $ex_dir[0];

		if (strpos($_GET['dir'], './') !== false || strpos($_GET['name'], './') !== false)
			msg("올바른 URL로 접근하여 주십시오.");

		switch(strtolower($mc_name))
		{
			case("board"):
				require_once("include/board_lib.php");
				$ba_no = $ex_dir[1];
				$ba = board_admin_info($ba_no);		// array

				auth_limit($ba[ba_perm_down]);

				// donwload count plus - 자신이 업로드한 파일이 아닐때만 증가함.
					$q = "UPDATE $TB[BOARD] SET b_down=b_down+1 WHERE b_no='".$_GET['key']."' AND ba_no='$ba_no' AND (m_no != '" . $AUTH[auth_m_no] . "' OR m_no=0)";
					db_query($q);

				unset_db();
				$isimg = false;
				break;

			case("logo"):
				$isimg = true;
				break;

			case("member"):
				break;

			case("favicon"):
				$isimg = true;
				break;

			default:
				msg("올바른 URL로 접근하여 주십시오.");
				break;
		}	// switch()


	// download
		// [2002-11-13] subtype 옵션추가
		$errorMsg = file_down($_GET['name'], $_GET['key'], $_GET['dir'], $_GET['subtype'], '', $isimg);


	// error
		if ($errorMsg) msg("파일받기가 실패하였습니다.$errorMsg");
?>